Skip to main content
PUT
/
cases
/
{id}
Update case label
curl --request PUT \
  --url https://api.uk.veridox.ai/cases/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "label": "<string>"
}
'
{
  "case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "label": "<string>",
  "metadata": {},
  "is_locked": true,
  "locked_at": "2023-11-07T05:31:56Z",
  "file_analysis_status": "waiting_for_file_analysis",
  "file_analysis_completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.veridox.ai/llms.txt

Use this file to discover all available pages before exploring further.

Update the label of an existing case. Only the case owner can update the label.

Best Practices

  1. Works on Locked Cases: You can update a case label even after the case has been locked for analysis.
  2. Unique Labels (Case-Insensitive): Case labels must be unique per user regardless of letter casing. Updating a case label to one that only differs by case will return a 409 Conflict response.
  3. Use Descriptive Labels: Labels like claim numbers or policy numbers make cases easier to identify and manage.
  4. Reports Use the Label at Time of Generation: If analysis has already completed, existing reports will not reflect the updated label.

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Case ID

Body

application/json
label
string
required
Required string length: 1 - 255

Response

Case label updated successfully

case_id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-7[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
label
string | null
required
metadata
object
required
is_locked
boolean
required
locked_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
file_analysis_status
enum<string>
required
Available options:
waiting_for_file_analysis,
file_analysis_complete
file_analysis_completed_at
string<date-time> | null
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
team_id
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
team_name
string